# TNT

## Limitazioni campi corriere

| Campo               | Limitazione |
| ------------------- | ----------- |
| ddt\_alpha          | Max 25 char |
| rcpt\_addr          | Max 30 char |
| rcpt\_cap           | Max 9 char  |
| rcpt\_city          | Max 30 char |
| rcpt\_country\_code | Max 2 char  |
| rcpt\_name          | Max 25 char |
| rcpt\_prov          | Max 2 char  |

## Lista codici Gsped

<table data-full-width="true"><thead><tr><th>Servizio</th><th data-type="number">Codice corriere</th><th data-type="number">Codice servizio</th><th>Note</th></tr></thead><tbody><tr><td>Express</td><td>2</td><td>0</td><td>Domestico</td></tr><tr><td>12:00 Express</td><td>2</td><td>1</td><td>Domestico</td></tr><tr><td>10:00 Express</td><td>2</td><td>2</td><td>Domestico</td></tr><tr><td>Economy Express</td><td>2</td><td>3</td><td>Domestico</td></tr><tr><td>Internazionale Express</td><td>2</td><td>6</td><td>Internazionale</td></tr><tr><td>Internazionale 12:00 Express</td><td>2</td><td>7</td><td>Internazionale</td></tr><tr><td>Internazionale Economy Express</td><td>2</td><td>8</td><td>Internazionale</td></tr><tr><td>Internazionale 12:00 Economy Express</td><td>2</td><td>9</td><td>Internazionale</td></tr><tr><td>Internazionale 10:00</td><td>2</td><td>10</td><td>Internazionale</td></tr><tr><td>Internazionale 9:00</td><td>2</td><td>11</td><td>Internazionale</td></tr></tbody></table>

## Data previsto affidamento

**Disponibile nelle chiamate: POST e PATCH**

Possibilità di forzare la **data in etichetta e l'addParcel nel futuro** tramite il cambio della collectionDate del corriere. Per farlo si valorizza la data\_previsto\_affidamento dentro courierData.

```json
"courierData":{
    "data_previsto_affidamento":"2024-12-31"
}
```

{% hint style="info" %}
La data è settabile da oggi a max 60gg dalla data ordierna e **SOLAMENTE TRAMITE APPROVAZIONE del reparto tecnico di TNT** (non è una funzionalità prevista per tutti i clienti). Verificare con il proprio commerciale / tecnico di riferimento TNT.
{% endhint %}

Attenzione che una volta confermate le spedizioni, la data di partenza della spedizione "date\_created" diventa la data di conferma. In questo caso, per capire quando è stata creata davvero la spedizione, è necessario controllare su S3 quando sono state generate le etichette.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.gsped.com/spedizioni-e-dintorni/shipment/corrieri/tnt.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
